%global	momorel 2
%define snapver 20030818
%define toolname ninfod

Summary: USAGI IPv6: ICMPv6 node information server.
Name: usagi-%{toolname}
Version: 0.0
Release: 0.%{snapver}.%{momorel}m
License: GPL
Group: System Environment/Daemons
%NoSource 0 ftp://ftp.linux-ipv6.org/pub/usagi/snap/split/usagi-tool-s%{snapver}.tar.bz2 f84f98bec51df44781819a9626cf6df7
Source1: ninfod.sh
URL: http://www.linux-ipv6.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: chkconfig

%description
USAGI IPv6: ICMPv6 node information server.

%prep
%setup -q -n usagi
make prepare TARGET=linux24

%build
pushd usagi/%{toolname}
%configure
make
popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_initscriptdir}
mkdir -p %{buildroot}%{_sbindir}

pushd usagi/%{toolname}
install -m 755 ninfod %{buildroot}%{_sbindir}
popd


install -m 755 %{SOURCE1} %{buildroot}%{_initscriptdir}/%{toolname}

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add %{toolname}

%preun
if [ $1 = 0 ]; then
    service %{toolname} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{toolname}
fi


%files
%defattr(-,root,root)
%{_initscriptdir}/%{toolname}
%{_sbindir}/%{toolname}

%changelog
* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.0-0.20030818.2m)
- stop daemon

* Fri Aug 29 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0-0.20030818.1m)
- update to 20030818

* Mon Aug 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.0-0.20030804.1m)
- update to 20030804

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.0-0.20030120.2m)
  rebuild against openssl 0.9.7a

* Sun May  5 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.0-0.20030120.1m)
- initial version
